For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Transmissions

Page through recent transmission logs for a specific Sonoran Radio community.

Get Transmissions

GET /v2/servers/:communityId/transmissions

Rate limit: 12 requests per minute

Returns paginated recent transmission log rows for the selected community.

Headers

Name
Value

Authorization

Bearer <community-api-key>

URL Parameters

Name
Type
Description

communityId

string

Sonoran Radio community ID

Query Parameters

Name
Type
Description

page

integer

1-based page number. Defaults to 1.

perPage

integer

Page size. Defaults to 25, maximum 100.

Examples

local response = client.radio:getTransmissionsV2({
  page = 1,
  perPage = 25
}, "YOUR_COMMUNITY_ID")
const response = await instance.radio?.getTransmissionsV2({
  page: 1,
  perPage: 25
}, 'YOUR_COMMUNITY_ID');
response = instance.radio.getTransmissionsV2({
    "page": 1,
    "perPage": 25,
}, "YOUR_COMMUNITY_ID")
var response = await sonoran.Radio.getTransmissionsV2(new GetTransmissionsV2Query
{
    Page = 1,
    PerPage = 25
});
openapi: 3.0.3
info:
  title: Sonoran Radio API v2
  version: "1.0"
servers:
  - url: https://api.sonoranradio.com
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
paths:
  /v2/servers/{communityId}/transmissions:
    get:
      summary: Get paginated transmission logs
      parameters:
        - in: path
          name: communityId
          required: true
          schema:
            type: string
            example: YOUR_COMMUNITY_ID
        - in: query
          name: page
          schema:
            type: integer
            example: 1
        - in: query
          name: perPage
          schema:
            type: integer
            example: 25
      security:
        - bearerAuth: []
      responses:
        "200":
          description: Paginated transmission logs response
        "401":
          description: Missing or invalid bearer token
        "404":
          description: Community not found for this API key

Response

Successful requests return application/json.

Last updated

Was this helpful?